<?
// функция обрабатывает текстовые строки перед выводом в браузер
// настоятельно не рекомундуется тут что-либо менять
function output_text($str,$br=1,$html=1,$smiles=1,$links=1,$bbcode=1)
{
global $theme_ini;

$vyvod=mysql_query("SELECT * FROM `spam`");
while ($anti = mysql_fetch_assoc($vyvod))
{
$a = 'http://'.$anti['eto'].'';
$test=stristr($str,$a);
$test2 = stristr($str,$anti['eto']);
if($test==TRUE && $_SERVER['QUERY_STRING']!='id=0' && $test != $_SERVER['HTTP_HOST'] || $test2==TRUE && $_SERVER['QUERY_STRING']!='id=0' && $test2 != $_SERVER['HTTP_HOST']){
$str=str_replace($test,$test2,$anti['na'],$str);
}
}

if ($html)$str=htmlentities($str, ENT_QUOTES, 'UTF-8'); // преобразуем все к нормальному перевариванию браузером
if ($links)$str=links($str); // обработка ссылок

if ($smiles)
$str=smiles($str); // вставка смайлов

if ($bbcode)
{
$tmp_str=$str;
$str=bbcode($str); // обработка bbcode
}

if ($br)
{
$str=br($str); // переносы строк
}


return stripslashes($str); // возвращаем обработанную строку
}

// для форм
function input_value_text($str){return output_text($str,0,1,0,0,0);}
?>